Skip to main content
`Ctrl`+`K`

# PetscIntSumError

Computes the sum of two positive `PetscInt` and generates an error with overflow.

## Synopsis

    static inline PetscErrorCode PetscIntSumError(PetscInt a, PetscInt b, PetscInt *result)

Not Collective; No Fortran Support

## Input Parameters

- a - the `PetscInt` value

- b - the second value

## Output Parameter

- c - the result as a `PetscInt` value, or `NULL` if you do not want the result, you just want to check if it overflows

## Notes

Use `PetscInt64Mult()` to compute the product of two 32-bit `PetscInt` and store in a `PetscInt64`

Use `PetscIntMultTruncate()` to compute the product of two `PetscInt` and truncate it to fit in a `PetscInt`

## See Also

`PetscBLASInt`, `PetscMPIInt`, `PetscInt`, `PetscBLASIntCast()`, `PetscInt64Mult()`, `PetscIntMultError()`

## Level

advanced

## Location

include/petscsys.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages